activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Kuhtz (JIRA)" <j...@apache.org>
Subject [jira] Created: (AMQ-1794) Fix activemq.xsd to allow configuration of more than one element in the broker
Date Thu, 12 Jun 2008 11:18:00 GMT
Fix activemq.xsd to allow configuration of more than one element in the broker
------------------------------------------------------------------------------

                 Key: AMQ-1794
                 URL: https://issues.apache.org/activemq/browse/AMQ-1794
             Project: ActiveMQ
          Issue Type: Bug
          Components: Broker
    Affects Versions: 5.1.0
         Environment: JDK6, Spring, WinXP
            Reporter: Andreas Kuhtz
             Fix For: 5.2.0
         Attachments: amq-1794.patch

The current activemq.xsd does not allow to configure more than one subelement, e.g. the transportConnnectors
and the persistenceAdapter. Therefore the following correct configuration is currently not
validated.


{code:xml} 
<amq:broker brokerName="myBroker" persistent="true"
   useShutdownHook="false" deleteAllMessagesOnStartup="true" useJmx="true" 
   populateJMSXUserID="true" >

   <amq:transportConnectors>
      <amq:transportConnector uri="${brokerUri}" />
   </amq:transportConnectors>

   <amq:persistenceAdapter>
      <amq:kahaPersistenceAdapter directory="activemq-data" maxDataFileLength="33554432"/>
   </amq:persistenceAdapter>

   <amq:plugins>
      <!-- lets enable detailed logging in the broker -->
      <amq:loggingBrokerPlugin/>
   </amq:plugins>

</amq:broker>
{code} 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message